Package fr.gouv.vitam.common.server.application.configuration

# Class FunctionalAdminAdmin

java.lang.Object
fr.gouv.vitam.common.server.application.configuration.FunctionalAdminAdmin

public class FunctionalAdminAdmin extends Object
FunctionalAdminAdmin class defining admin port and host

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FunctionalAdminAdmin()`
  FunctionalAdminAdmin empty constructor for YAMLFactory
  `FunctionalAdminAdmin(String functionalAdminServerHost, int functionalAdminServerPort)`
  FunctionalAdminAdmin constructor with parameters

- ## Method Summary

  Modifier and Type
  Method
  Description
  `BasicAuthModel`
  `getAdminBasicAuth()`
  `String`
  `getFunctionalAdminServerHost()`
  `int`
  `getFunctionalAdminServerPort()`
  `void`
  `setAdminBasicAuth(BasicAuthModel adminBasicAuth)`
  `FunctionalAdminAdmin`
  `setFunctionalAdminServerHost(String functionaAdminServerHost)`
  `FunctionalAdminAdmin`
  `setFunctionalAdminServerPort(int functionalAdminServerPort)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### FunctionalAdminAdmin

    public FunctionalAdminAdmin()
    FunctionalAdminAdmin empty constructor for YAMLFactory

  - ### FunctionalAdminAdmin

    public FunctionalAdminAdmin(String functionalAdminServerHost, int functionalAdminServerPort)
    FunctionalAdminAdmin constructor with parameters
    Parameters:
      `functionalAdminServerHost` -
      `functionalAdminServerPort` -

- ## Method Details

  - ### getFunctionalAdminServerHost

    public String getFunctionalAdminServerHost()
    Returns:
      the functionaAdminServerHost

  - ### setFunctionalAdminServerHost

    public FunctionalAdminAdmin setFunctionalAdminServerHost(String functionaAdminServerHost)
    Parameters:
      `functionaAdminServerHost` -
    Returns:
      FunctionalAdminAdmin

  - ### getFunctionalAdminServerPort

    public int getFunctionalAdminServerPort()
    Returns:
      the functionaAdminServerPort

  - ### setFunctionalAdminServerPort

    public FunctionalAdminAdmin setFunctionalAdminServerPort(int functionalAdminServerPort)
    Parameters:
      `functionalAdminServerPort` -
    Returns:
      FunctionalAdminAdmin

  - ### getAdminBasicAuth

    public BasicAuthModel getAdminBasicAuth()

  - ### setAdminBasicAuth

    public void setAdminBasicAuth(BasicAuthModel adminBasicAuth)